Asking for help
===============

To ask for help please use the **Discussions** feature.  To open
a new discussion, click [here][new] and then click on <kbd>Select
Category</kbd>, most likely to select the **Q&A** category.

Alternatively you can ask for help on the Emacs [StackExchange][se]
site (using the `forge` tag) or on the Emacs [subreddit].

Reporting issues and suggesting features
========================================

To report bugs and suggest new feature use the [issue tracker][issues].

Code contributions
==================

If you have some code which you would like to be merged, then open a
[pull request][pulls].  Please create atomic commits with descriptive
commit messages and use a dedicated feature branch (`b s` might help
with the latter).

Documentation contributions
===========================

Improving the documentation is always a good way to get started
contributing to some project.

In the case of Forge this is somewhat complicated by the fact that
we use some custom extensions.  Some meta documentation can be found
[here][metadocs].

TL;DR — Edit `forge.org`.  Do not edit `forge.texi`.  And don't touch
the version numbers.  The maintainers will then update `forge.texi`
and the version numbers in `forge.org` and amend those changes to your
commit.

Donations
=========

Please also consider to contribute by making a
[monetary donation][donations].


[discussions]: https://github.com/magit/forge/discussions
[donations]:   https://magit.vc/donate/
[issues]:      https://github.com/magit/forge/issues
[metadocs]:    https://github.com/magit/magit/wiki/Documentation-tools-and-conventions
[new]:         https://github.com/magit/forge/discussions/new
[pulls]:       https://github.com/magit/forge/pulls
[se]:          https://emacs.stackexchange.com
[subreddit]:   https://www.reddit.com/r/emacs
